Skip to main content
Conversations

Update a conversation

POST
/openai/v1/conversations/{conversation_id}

Modifies the specified conversation's properties.

Path Parameters
conversation_idstringrequired
The id of the conversation to update.
Header Parameters
x-ms-user-isolation-keystringoptional
Opaque per-user isolation key used to scope endpoint-scoped data (responses, conversations, sessions) to a specific end user.
Request BodyContent-Type: application/json
metadataOpenAI.Metadata | nullrequired
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
Responses
idstringrequired
The unique ID of the conversation.
objectenumrequired
The object type, which is always `conversation`.
conversation
metadataOpenAI.Metadatarequired
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
created_atintegerrequired
The time at which the conversation was created, measured in seconds since the Unix epoch.